package com.sjyt.icom.asst.context.pools;

import com.sjyt.icom.asst.common.annotation.RoomPool;
import com.sjyt.icom.asst.common.model.room.OneToOneRoom;
import org.apache.commons.pool2.PooledObjectFactory;
import org.apache.commons.pool2.impl.AbandonedConfig;
import org.apache.commons.pool2.impl.GenericObjectPool;
import org.apache.commons.pool2.impl.GenericObjectPoolConfig;

/**
 * <p>一对一房间池化</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/16 10:30
 */
@RoomPool
public class One2OneRoomPool extends GenericObjectPool<OneToOneRoom> {
    public One2OneRoomPool(PooledObjectFactory<OneToOneRoom> factory) {
        super(factory);
    }

    public One2OneRoomPool(PooledObjectFactory<OneToOneRoom> factory, GenericObjectPoolConfig<OneToOneRoom> config) {
        super(factory, config);
    }

    public One2OneRoomPool(PooledObjectFactory<OneToOneRoom> factory, GenericObjectPoolConfig<OneToOneRoom> config, AbandonedConfig abandonedConfig) {
        super(factory, config, abandonedConfig);
    }
}
